<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en"><head>

<meta charset="utf-8">
<meta name="generator" content="quarto-1.4.322">

<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes">

<meta name="author" content="Hugues Pecout">
<meta name="dcterms.date" content="2023-10-03">

<title>Représentation graphique d’une variable discrétisée</title>
<style>
code{white-space: pre-wrap;}
span.smallcaps{font-variant: small-caps;}
div.columns{display: flex; gap: min(4vw, 1.5em);}
div.column{flex: auto; overflow-x: auto;}
div.hanging-indent{margin-left: 1.5em; text-indent: -1.5em;}
ul.task-list{list-style: none;}
ul.task-list li input[type="checkbox"] {
  width: 0.8em;
  margin: 0 0.8em 0.2em -1em; /* quarto-specific, see https://github.com/quarto-dev/quarto-cli/issues/4556 */ 
  vertical-align: middle;
}
/* CSS for syntax highlighting */
pre > code.sourceCode { white-space: pre; position: relative; }
pre > code.sourceCode > span { display: inline-block; line-height: 1.25; }
pre > code.sourceCode > span:empty { height: 1.2em; }
.sourceCode { overflow: visible; }
code.sourceCode > span { color: inherit; text-decoration: inherit; }
div.sourceCode { margin: 1em 0; }
pre.sourceCode { margin: 0; }
@media screen {
div.sourceCode { overflow: auto; }
}
@media print {
pre > code.sourceCode { white-space: pre-wrap; }
pre > code.sourceCode > span { text-indent: -5em; padding-left: 5em; }
}
pre.numberSource code
  { counter-reset: source-line 0; }
pre.numberSource code > span
  { position: relative; left: -4em; counter-increment: source-line; }
pre.numberSource code > span > a:first-child::before
  { content: counter(source-line);
    position: relative; left: -1em; text-align: right; vertical-align: baseline;
    border: none; display: inline-block;
    -webkit-touch-callout: none; -webkit-user-select: none;
    -khtml-user-select: none; -moz-user-select: none;
    -ms-user-select: none; user-select: none;
    padding: 0 4px; width: 4em;
  }
pre.numberSource { margin-left: 3em;  padding-left: 4px; }
div.sourceCode
  {   }
@media screen {
pre > code.sourceCode > span > a:first-child::before { text-decoration: underline; }
}
</style>


<script src="mon_document_files/libs/clipboard/clipboard.min.js"></script>
<script src="mon_document_files/libs/quarto-html/quarto.js"></script>
<script src="mon_document_files/libs/quarto-html/popper.min.js"></script>
<script src="mon_document_files/libs/quarto-html/tippy.umd.min.js"></script>
<script src="mon_document_files/libs/quarto-html/anchor.min.js"></script>
<link href="mon_document_files/libs/quarto-html/tippy.css" rel="stylesheet">
<link href="mon_document_files/libs/quarto-html/quarto-syntax-highlighting.css" rel="stylesheet" id="quarto-text-highlighting-styles">
<script src="mon_document_files/libs/bootstrap/bootstrap.min.js"></script>
<link href="mon_document_files/libs/bootstrap/bootstrap-icons.css" rel="stylesheet">
<link href="mon_document_files/libs/bootstrap/bootstrap.min.css" rel="stylesheet" id="quarto-bootstrap" data-mode="light">
<script src="mon_document_files/libs/kePrint-0.0.1/kePrint.js"></script>
<link href="mon_document_files/libs/lightable-0.0.1/lightable.css" rel="stylesheet">


</head>

<body class="fullcontent">

<div id="quarto-content" class="page-columns page-rows-contents page-layout-article">

<main class="content" id="quarto-document-content">

<header id="title-block-header" class="quarto-title-block default">
<div class="quarto-title">
<h1 class="title">Représentation graphique d’une variable discrétisée</h1>
<p class="subtitle lead">Fonctions R-base &amp; package ggplot2</p>
</div>



<div class="quarto-title-meta">

    <div>
    <div class="quarto-title-meta-heading">Author</div>
    <div class="quarto-title-meta-contents">
             <p>Hugues Pecout </p>
          </div>
  </div>
    
    <div>
    <div class="quarto-title-meta-heading">Published</div>
    <div class="quarto-title-meta-contents">
      <p class="date">October 3, 2023</p>
    </div>
  </div>
  
    
  </div>
  


</header>

<section id="jeu-de-données" class="level1">
<h1>Jeu de données</h1>
<p>Ce document présente la discrétisation d’une variable numérique (<code>Sepal.Length</code>) en 4 classes qualitatives ordinales. Cette variable est issue du <strong>jeu de donnée exemple <code>iris</code></strong>, qui contient 150 individus décrits par 11 variables :</p>
<div class="cell">
<div class="cell-output-display">
<div style="border: 1px solid #ddd; padding: 0px; overflow-y: scroll; height:200px; overflow-x: scroll; width:500px; ">
<table class="table table-striped table-sm small" data-quarto-postprocess="true">
<thead>
<tr class="header">
<th data-quarto-table-cell-role="th" style="text-align: right; position: sticky; top: 0; background-color: #FFFFFF;">Sepal.Length</th>
<th data-quarto-table-cell-role="th" style="text-align: right; position: sticky; top: 0; background-color: #FFFFFF;">Sepal.Width</th>
<th data-quarto-table-cell-role="th" style="text-align: right; position: sticky; top: 0; background-color: #FFFFFF;">Petal.Length</th>
<th data-quarto-table-cell-role="th" style="text-align: right; position: sticky; top: 0; background-color: #FFFFFF;">Petal.Width</th>
<th data-quarto-table-cell-role="th" style="text-align: left; position: sticky; top: 0; background-color: #FFFFFF;">Species</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td style="text-align: right;">5.1</td>
<td style="text-align: right;">3.5</td>
<td style="text-align: right;">1.4</td>
<td style="text-align: right;">0.2</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="even">
<td style="text-align: right;">4.9</td>
<td style="text-align: right;">3.0</td>
<td style="text-align: right;">1.4</td>
<td style="text-align: right;">0.2</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="odd">
<td style="text-align: right;">4.7</td>
<td style="text-align: right;">3.2</td>
<td style="text-align: right;">1.3</td>
<td style="text-align: right;">0.2</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="even">
<td style="text-align: right;">4.6</td>
<td style="text-align: right;">3.1</td>
<td style="text-align: right;">1.5</td>
<td style="text-align: right;">0.2</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="odd">
<td style="text-align: right;">5.0</td>
<td style="text-align: right;">3.6</td>
<td style="text-align: right;">1.4</td>
<td style="text-align: right;">0.2</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="even">
<td style="text-align: right;">5.4</td>
<td style="text-align: right;">3.9</td>
<td style="text-align: right;">1.7</td>
<td style="text-align: right;">0.4</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="odd">
<td style="text-align: right;">4.6</td>
<td style="text-align: right;">3.4</td>
<td style="text-align: right;">1.4</td>
<td style="text-align: right;">0.3</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="even">
<td style="text-align: right;">5.0</td>
<td style="text-align: right;">3.4</td>
<td style="text-align: right;">1.5</td>
<td style="text-align: right;">0.2</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="odd">
<td style="text-align: right;">4.4</td>
<td style="text-align: right;">2.9</td>
<td style="text-align: right;">1.4</td>
<td style="text-align: right;">0.2</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="even">
<td style="text-align: right;">4.9</td>
<td style="text-align: right;">3.1</td>
<td style="text-align: right;">1.5</td>
<td style="text-align: right;">0.1</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="odd">
<td style="text-align: right;">5.4</td>
<td style="text-align: right;">3.7</td>
<td style="text-align: right;">1.5</td>
<td style="text-align: right;">0.2</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="even">
<td style="text-align: right;">4.8</td>
<td style="text-align: right;">3.4</td>
<td style="text-align: right;">1.6</td>
<td style="text-align: right;">0.2</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="odd">
<td style="text-align: right;">4.8</td>
<td style="text-align: right;">3.0</td>
<td style="text-align: right;">1.4</td>
<td style="text-align: right;">0.1</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="even">
<td style="text-align: right;">4.3</td>
<td style="text-align: right;">3.0</td>
<td style="text-align: right;">1.1</td>
<td style="text-align: right;">0.1</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="odd">
<td style="text-align: right;">5.8</td>
<td style="text-align: right;">4.0</td>
<td style="text-align: right;">1.2</td>
<td style="text-align: right;">0.2</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="even">
<td style="text-align: right;">5.7</td>
<td style="text-align: right;">4.4</td>
<td style="text-align: right;">1.5</td>
<td style="text-align: right;">0.4</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="odd">
<td style="text-align: right;">5.4</td>
<td style="text-align: right;">3.9</td>
<td style="text-align: right;">1.3</td>
<td style="text-align: right;">0.4</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="even">
<td style="text-align: right;">5.1</td>
<td style="text-align: right;">3.5</td>
<td style="text-align: right;">1.4</td>
<td style="text-align: right;">0.3</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="odd">
<td style="text-align: right;">5.7</td>
<td style="text-align: right;">3.8</td>
<td style="text-align: right;">1.7</td>
<td style="text-align: right;">0.3</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="even">
<td style="text-align: right;">5.1</td>
<td style="text-align: right;">3.8</td>
<td style="text-align: right;">1.5</td>
<td style="text-align: right;">0.3</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="odd">
<td style="text-align: right;">5.4</td>
<td style="text-align: right;">3.4</td>
<td style="text-align: right;">1.7</td>
<td style="text-align: right;">0.2</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="even">
<td style="text-align: right;">5.1</td>
<td style="text-align: right;">3.7</td>
<td style="text-align: right;">1.5</td>
<td style="text-align: right;">0.4</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="odd">
<td style="text-align: right;">4.6</td>
<td style="text-align: right;">3.6</td>
<td style="text-align: right;">1.0</td>
<td style="text-align: right;">0.2</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="even">
<td style="text-align: right;">5.1</td>
<td style="text-align: right;">3.3</td>
<td style="text-align: right;">1.7</td>
<td style="text-align: right;">0.5</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="odd">
<td style="text-align: right;">4.8</td>
<td style="text-align: right;">3.4</td>
<td style="text-align: right;">1.9</td>
<td style="text-align: right;">0.2</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="even">
<td style="text-align: right;">5.0</td>
<td style="text-align: right;">3.0</td>
<td style="text-align: right;">1.6</td>
<td style="text-align: right;">0.2</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="odd">
<td style="text-align: right;">5.0</td>
<td style="text-align: right;">3.4</td>
<td style="text-align: right;">1.6</td>
<td style="text-align: right;">0.4</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="even">
<td style="text-align: right;">5.2</td>
<td style="text-align: right;">3.5</td>
<td style="text-align: right;">1.5</td>
<td style="text-align: right;">0.2</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="odd">
<td style="text-align: right;">5.2</td>
<td style="text-align: right;">3.4</td>
<td style="text-align: right;">1.4</td>
<td style="text-align: right;">0.2</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="even">
<td style="text-align: right;">4.7</td>
<td style="text-align: right;">3.2</td>
<td style="text-align: right;">1.6</td>
<td style="text-align: right;">0.2</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="odd">
<td style="text-align: right;">4.8</td>
<td style="text-align: right;">3.1</td>
<td style="text-align: right;">1.6</td>
<td style="text-align: right;">0.2</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="even">
<td style="text-align: right;">5.4</td>
<td style="text-align: right;">3.4</td>
<td style="text-align: right;">1.5</td>
<td style="text-align: right;">0.4</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="odd">
<td style="text-align: right;">5.2</td>
<td style="text-align: right;">4.1</td>
<td style="text-align: right;">1.5</td>
<td style="text-align: right;">0.1</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="even">
<td style="text-align: right;">5.5</td>
<td style="text-align: right;">4.2</td>
<td style="text-align: right;">1.4</td>
<td style="text-align: right;">0.2</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="odd">
<td style="text-align: right;">4.9</td>
<td style="text-align: right;">3.1</td>
<td style="text-align: right;">1.5</td>
<td style="text-align: right;">0.2</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="even">
<td style="text-align: right;">5.0</td>
<td style="text-align: right;">3.2</td>
<td style="text-align: right;">1.2</td>
<td style="text-align: right;">0.2</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="odd">
<td style="text-align: right;">5.5</td>
<td style="text-align: right;">3.5</td>
<td style="text-align: right;">1.3</td>
<td style="text-align: right;">0.2</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="even">
<td style="text-align: right;">4.9</td>
<td style="text-align: right;">3.6</td>
<td style="text-align: right;">1.4</td>
<td style="text-align: right;">0.1</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="odd">
<td style="text-align: right;">4.4</td>
<td style="text-align: right;">3.0</td>
<td style="text-align: right;">1.3</td>
<td style="text-align: right;">0.2</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="even">
<td style="text-align: right;">5.1</td>
<td style="text-align: right;">3.4</td>
<td style="text-align: right;">1.5</td>
<td style="text-align: right;">0.2</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="odd">
<td style="text-align: right;">5.0</td>
<td style="text-align: right;">3.5</td>
<td style="text-align: right;">1.3</td>
<td style="text-align: right;">0.3</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="even">
<td style="text-align: right;">4.5</td>
<td style="text-align: right;">2.3</td>
<td style="text-align: right;">1.3</td>
<td style="text-align: right;">0.3</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="odd">
<td style="text-align: right;">4.4</td>
<td style="text-align: right;">3.2</td>
<td style="text-align: right;">1.3</td>
<td style="text-align: right;">0.2</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="even">
<td style="text-align: right;">5.0</td>
<td style="text-align: right;">3.5</td>
<td style="text-align: right;">1.6</td>
<td style="text-align: right;">0.6</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="odd">
<td style="text-align: right;">5.1</td>
<td style="text-align: right;">3.8</td>
<td style="text-align: right;">1.9</td>
<td style="text-align: right;">0.4</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="even">
<td style="text-align: right;">4.8</td>
<td style="text-align: right;">3.0</td>
<td style="text-align: right;">1.4</td>
<td style="text-align: right;">0.3</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="odd">
<td style="text-align: right;">5.1</td>
<td style="text-align: right;">3.8</td>
<td style="text-align: right;">1.6</td>
<td style="text-align: right;">0.2</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="even">
<td style="text-align: right;">4.6</td>
<td style="text-align: right;">3.2</td>
<td style="text-align: right;">1.4</td>
<td style="text-align: right;">0.2</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="odd">
<td style="text-align: right;">5.3</td>
<td style="text-align: right;">3.7</td>
<td style="text-align: right;">1.5</td>
<td style="text-align: right;">0.2</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="even">
<td style="text-align: right;">5.0</td>
<td style="text-align: right;">3.3</td>
<td style="text-align: right;">1.4</td>
<td style="text-align: right;">0.2</td>
<td style="text-align: left;">setosa</td>
</tr>
<tr class="odd">
<td style="text-align: right;">7.0</td>
<td style="text-align: right;">3.2</td>
<td style="text-align: right;">4.7</td>
<td style="text-align: right;">1.4</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="even">
<td style="text-align: right;">6.4</td>
<td style="text-align: right;">3.2</td>
<td style="text-align: right;">4.5</td>
<td style="text-align: right;">1.5</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="odd">
<td style="text-align: right;">6.9</td>
<td style="text-align: right;">3.1</td>
<td style="text-align: right;">4.9</td>
<td style="text-align: right;">1.5</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="even">
<td style="text-align: right;">5.5</td>
<td style="text-align: right;">2.3</td>
<td style="text-align: right;">4.0</td>
<td style="text-align: right;">1.3</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="odd">
<td style="text-align: right;">6.5</td>
<td style="text-align: right;">2.8</td>
<td style="text-align: right;">4.6</td>
<td style="text-align: right;">1.5</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="even">
<td style="text-align: right;">5.7</td>
<td style="text-align: right;">2.8</td>
<td style="text-align: right;">4.5</td>
<td style="text-align: right;">1.3</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="odd">
<td style="text-align: right;">6.3</td>
<td style="text-align: right;">3.3</td>
<td style="text-align: right;">4.7</td>
<td style="text-align: right;">1.6</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="even">
<td style="text-align: right;">4.9</td>
<td style="text-align: right;">2.4</td>
<td style="text-align: right;">3.3</td>
<td style="text-align: right;">1.0</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="odd">
<td style="text-align: right;">6.6</td>
<td style="text-align: right;">2.9</td>
<td style="text-align: right;">4.6</td>
<td style="text-align: right;">1.3</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="even">
<td style="text-align: right;">5.2</td>
<td style="text-align: right;">2.7</td>
<td style="text-align: right;">3.9</td>
<td style="text-align: right;">1.4</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="odd">
<td style="text-align: right;">5.0</td>
<td style="text-align: right;">2.0</td>
<td style="text-align: right;">3.5</td>
<td style="text-align: right;">1.0</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="even">
<td style="text-align: right;">5.9</td>
<td style="text-align: right;">3.0</td>
<td style="text-align: right;">4.2</td>
<td style="text-align: right;">1.5</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="odd">
<td style="text-align: right;">6.0</td>
<td style="text-align: right;">2.2</td>
<td style="text-align: right;">4.0</td>
<td style="text-align: right;">1.0</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="even">
<td style="text-align: right;">6.1</td>
<td style="text-align: right;">2.9</td>
<td style="text-align: right;">4.7</td>
<td style="text-align: right;">1.4</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="odd">
<td style="text-align: right;">5.6</td>
<td style="text-align: right;">2.9</td>
<td style="text-align: right;">3.6</td>
<td style="text-align: right;">1.3</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="even">
<td style="text-align: right;">6.7</td>
<td style="text-align: right;">3.1</td>
<td style="text-align: right;">4.4</td>
<td style="text-align: right;">1.4</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="odd">
<td style="text-align: right;">5.6</td>
<td style="text-align: right;">3.0</td>
<td style="text-align: right;">4.5</td>
<td style="text-align: right;">1.5</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="even">
<td style="text-align: right;">5.8</td>
<td style="text-align: right;">2.7</td>
<td style="text-align: right;">4.1</td>
<td style="text-align: right;">1.0</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="odd">
<td style="text-align: right;">6.2</td>
<td style="text-align: right;">2.2</td>
<td style="text-align: right;">4.5</td>
<td style="text-align: right;">1.5</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="even">
<td style="text-align: right;">5.6</td>
<td style="text-align: right;">2.5</td>
<td style="text-align: right;">3.9</td>
<td style="text-align: right;">1.1</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="odd">
<td style="text-align: right;">5.9</td>
<td style="text-align: right;">3.2</td>
<td style="text-align: right;">4.8</td>
<td style="text-align: right;">1.8</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="even">
<td style="text-align: right;">6.1</td>
<td style="text-align: right;">2.8</td>
<td style="text-align: right;">4.0</td>
<td style="text-align: right;">1.3</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="odd">
<td style="text-align: right;">6.3</td>
<td style="text-align: right;">2.5</td>
<td style="text-align: right;">4.9</td>
<td style="text-align: right;">1.5</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="even">
<td style="text-align: right;">6.1</td>
<td style="text-align: right;">2.8</td>
<td style="text-align: right;">4.7</td>
<td style="text-align: right;">1.2</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="odd">
<td style="text-align: right;">6.4</td>
<td style="text-align: right;">2.9</td>
<td style="text-align: right;">4.3</td>
<td style="text-align: right;">1.3</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="even">
<td style="text-align: right;">6.6</td>
<td style="text-align: right;">3.0</td>
<td style="text-align: right;">4.4</td>
<td style="text-align: right;">1.4</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="odd">
<td style="text-align: right;">6.8</td>
<td style="text-align: right;">2.8</td>
<td style="text-align: right;">4.8</td>
<td style="text-align: right;">1.4</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="even">
<td style="text-align: right;">6.7</td>
<td style="text-align: right;">3.0</td>
<td style="text-align: right;">5.0</td>
<td style="text-align: right;">1.7</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="odd">
<td style="text-align: right;">6.0</td>
<td style="text-align: right;">2.9</td>
<td style="text-align: right;">4.5</td>
<td style="text-align: right;">1.5</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="even">
<td style="text-align: right;">5.7</td>
<td style="text-align: right;">2.6</td>
<td style="text-align: right;">3.5</td>
<td style="text-align: right;">1.0</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="odd">
<td style="text-align: right;">5.5</td>
<td style="text-align: right;">2.4</td>
<td style="text-align: right;">3.8</td>
<td style="text-align: right;">1.1</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="even">
<td style="text-align: right;">5.5</td>
<td style="text-align: right;">2.4</td>
<td style="text-align: right;">3.7</td>
<td style="text-align: right;">1.0</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="odd">
<td style="text-align: right;">5.8</td>
<td style="text-align: right;">2.7</td>
<td style="text-align: right;">3.9</td>
<td style="text-align: right;">1.2</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="even">
<td style="text-align: right;">6.0</td>
<td style="text-align: right;">2.7</td>
<td style="text-align: right;">5.1</td>
<td style="text-align: right;">1.6</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="odd">
<td style="text-align: right;">5.4</td>
<td style="text-align: right;">3.0</td>
<td style="text-align: right;">4.5</td>
<td style="text-align: right;">1.5</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="even">
<td style="text-align: right;">6.0</td>
<td style="text-align: right;">3.4</td>
<td style="text-align: right;">4.5</td>
<td style="text-align: right;">1.6</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="odd">
<td style="text-align: right;">6.7</td>
<td style="text-align: right;">3.1</td>
<td style="text-align: right;">4.7</td>
<td style="text-align: right;">1.5</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="even">
<td style="text-align: right;">6.3</td>
<td style="text-align: right;">2.3</td>
<td style="text-align: right;">4.4</td>
<td style="text-align: right;">1.3</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="odd">
<td style="text-align: right;">5.6</td>
<td style="text-align: right;">3.0</td>
<td style="text-align: right;">4.1</td>
<td style="text-align: right;">1.3</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="even">
<td style="text-align: right;">5.5</td>
<td style="text-align: right;">2.5</td>
<td style="text-align: right;">4.0</td>
<td style="text-align: right;">1.3</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="odd">
<td style="text-align: right;">5.5</td>
<td style="text-align: right;">2.6</td>
<td style="text-align: right;">4.4</td>
<td style="text-align: right;">1.2</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="even">
<td style="text-align: right;">6.1</td>
<td style="text-align: right;">3.0</td>
<td style="text-align: right;">4.6</td>
<td style="text-align: right;">1.4</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="odd">
<td style="text-align: right;">5.8</td>
<td style="text-align: right;">2.6</td>
<td style="text-align: right;">4.0</td>
<td style="text-align: right;">1.2</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="even">
<td style="text-align: right;">5.0</td>
<td style="text-align: right;">2.3</td>
<td style="text-align: right;">3.3</td>
<td style="text-align: right;">1.0</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="odd">
<td style="text-align: right;">5.6</td>
<td style="text-align: right;">2.7</td>
<td style="text-align: right;">4.2</td>
<td style="text-align: right;">1.3</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="even">
<td style="text-align: right;">5.7</td>
<td style="text-align: right;">3.0</td>
<td style="text-align: right;">4.2</td>
<td style="text-align: right;">1.2</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="odd">
<td style="text-align: right;">5.7</td>
<td style="text-align: right;">2.9</td>
<td style="text-align: right;">4.2</td>
<td style="text-align: right;">1.3</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="even">
<td style="text-align: right;">6.2</td>
<td style="text-align: right;">2.9</td>
<td style="text-align: right;">4.3</td>
<td style="text-align: right;">1.3</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="odd">
<td style="text-align: right;">5.1</td>
<td style="text-align: right;">2.5</td>
<td style="text-align: right;">3.0</td>
<td style="text-align: right;">1.1</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="even">
<td style="text-align: right;">5.7</td>
<td style="text-align: right;">2.8</td>
<td style="text-align: right;">4.1</td>
<td style="text-align: right;">1.3</td>
<td style="text-align: left;">versicolor</td>
</tr>
<tr class="odd">
<td style="text-align: right;">6.3</td>
<td style="text-align: right;">3.3</td>
<td style="text-align: right;">6.0</td>
<td style="text-align: right;">2.5</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="even">
<td style="text-align: right;">5.8</td>
<td style="text-align: right;">2.7</td>
<td style="text-align: right;">5.1</td>
<td style="text-align: right;">1.9</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="odd">
<td style="text-align: right;">7.1</td>
<td style="text-align: right;">3.0</td>
<td style="text-align: right;">5.9</td>
<td style="text-align: right;">2.1</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="even">
<td style="text-align: right;">6.3</td>
<td style="text-align: right;">2.9</td>
<td style="text-align: right;">5.6</td>
<td style="text-align: right;">1.8</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="odd">
<td style="text-align: right;">6.5</td>
<td style="text-align: right;">3.0</td>
<td style="text-align: right;">5.8</td>
<td style="text-align: right;">2.2</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="even">
<td style="text-align: right;">7.6</td>
<td style="text-align: right;">3.0</td>
<td style="text-align: right;">6.6</td>
<td style="text-align: right;">2.1</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="odd">
<td style="text-align: right;">4.9</td>
<td style="text-align: right;">2.5</td>
<td style="text-align: right;">4.5</td>
<td style="text-align: right;">1.7</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="even">
<td style="text-align: right;">7.3</td>
<td style="text-align: right;">2.9</td>
<td style="text-align: right;">6.3</td>
<td style="text-align: right;">1.8</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="odd">
<td style="text-align: right;">6.7</td>
<td style="text-align: right;">2.5</td>
<td style="text-align: right;">5.8</td>
<td style="text-align: right;">1.8</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="even">
<td style="text-align: right;">7.2</td>
<td style="text-align: right;">3.6</td>
<td style="text-align: right;">6.1</td>
<td style="text-align: right;">2.5</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="odd">
<td style="text-align: right;">6.5</td>
<td style="text-align: right;">3.2</td>
<td style="text-align: right;">5.1</td>
<td style="text-align: right;">2.0</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="even">
<td style="text-align: right;">6.4</td>
<td style="text-align: right;">2.7</td>
<td style="text-align: right;">5.3</td>
<td style="text-align: right;">1.9</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="odd">
<td style="text-align: right;">6.8</td>
<td style="text-align: right;">3.0</td>
<td style="text-align: right;">5.5</td>
<td style="text-align: right;">2.1</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="even">
<td style="text-align: right;">5.7</td>
<td style="text-align: right;">2.5</td>
<td style="text-align: right;">5.0</td>
<td style="text-align: right;">2.0</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="odd">
<td style="text-align: right;">5.8</td>
<td style="text-align: right;">2.8</td>
<td style="text-align: right;">5.1</td>
<td style="text-align: right;">2.4</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="even">
<td style="text-align: right;">6.4</td>
<td style="text-align: right;">3.2</td>
<td style="text-align: right;">5.3</td>
<td style="text-align: right;">2.3</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="odd">
<td style="text-align: right;">6.5</td>
<td style="text-align: right;">3.0</td>
<td style="text-align: right;">5.5</td>
<td style="text-align: right;">1.8</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="even">
<td style="text-align: right;">7.7</td>
<td style="text-align: right;">3.8</td>
<td style="text-align: right;">6.7</td>
<td style="text-align: right;">2.2</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="odd">
<td style="text-align: right;">7.7</td>
<td style="text-align: right;">2.6</td>
<td style="text-align: right;">6.9</td>
<td style="text-align: right;">2.3</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="even">
<td style="text-align: right;">6.0</td>
<td style="text-align: right;">2.2</td>
<td style="text-align: right;">5.0</td>
<td style="text-align: right;">1.5</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="odd">
<td style="text-align: right;">6.9</td>
<td style="text-align: right;">3.2</td>
<td style="text-align: right;">5.7</td>
<td style="text-align: right;">2.3</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="even">
<td style="text-align: right;">5.6</td>
<td style="text-align: right;">2.8</td>
<td style="text-align: right;">4.9</td>
<td style="text-align: right;">2.0</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="odd">
<td style="text-align: right;">7.7</td>
<td style="text-align: right;">2.8</td>
<td style="text-align: right;">6.7</td>
<td style="text-align: right;">2.0</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="even">
<td style="text-align: right;">6.3</td>
<td style="text-align: right;">2.7</td>
<td style="text-align: right;">4.9</td>
<td style="text-align: right;">1.8</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="odd">
<td style="text-align: right;">6.7</td>
<td style="text-align: right;">3.3</td>
<td style="text-align: right;">5.7</td>
<td style="text-align: right;">2.1</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="even">
<td style="text-align: right;">7.2</td>
<td style="text-align: right;">3.2</td>
<td style="text-align: right;">6.0</td>
<td style="text-align: right;">1.8</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="odd">
<td style="text-align: right;">6.2</td>
<td style="text-align: right;">2.8</td>
<td style="text-align: right;">4.8</td>
<td style="text-align: right;">1.8</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="even">
<td style="text-align: right;">6.1</td>
<td style="text-align: right;">3.0</td>
<td style="text-align: right;">4.9</td>
<td style="text-align: right;">1.8</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="odd">
<td style="text-align: right;">6.4</td>
<td style="text-align: right;">2.8</td>
<td style="text-align: right;">5.6</td>
<td style="text-align: right;">2.1</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="even">
<td style="text-align: right;">7.2</td>
<td style="text-align: right;">3.0</td>
<td style="text-align: right;">5.8</td>
<td style="text-align: right;">1.6</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="odd">
<td style="text-align: right;">7.4</td>
<td style="text-align: right;">2.8</td>
<td style="text-align: right;">6.1</td>
<td style="text-align: right;">1.9</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="even">
<td style="text-align: right;">7.9</td>
<td style="text-align: right;">3.8</td>
<td style="text-align: right;">6.4</td>
<td style="text-align: right;">2.0</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="odd">
<td style="text-align: right;">6.4</td>
<td style="text-align: right;">2.8</td>
<td style="text-align: right;">5.6</td>
<td style="text-align: right;">2.2</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="even">
<td style="text-align: right;">6.3</td>
<td style="text-align: right;">2.8</td>
<td style="text-align: right;">5.1</td>
<td style="text-align: right;">1.5</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="odd">
<td style="text-align: right;">6.1</td>
<td style="text-align: right;">2.6</td>
<td style="text-align: right;">5.6</td>
<td style="text-align: right;">1.4</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="even">
<td style="text-align: right;">7.7</td>
<td style="text-align: right;">3.0</td>
<td style="text-align: right;">6.1</td>
<td style="text-align: right;">2.3</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="odd">
<td style="text-align: right;">6.3</td>
<td style="text-align: right;">3.4</td>
<td style="text-align: right;">5.6</td>
<td style="text-align: right;">2.4</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="even">
<td style="text-align: right;">6.4</td>
<td style="text-align: right;">3.1</td>
<td style="text-align: right;">5.5</td>
<td style="text-align: right;">1.8</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="odd">
<td style="text-align: right;">6.0</td>
<td style="text-align: right;">3.0</td>
<td style="text-align: right;">4.8</td>
<td style="text-align: right;">1.8</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="even">
<td style="text-align: right;">6.9</td>
<td style="text-align: right;">3.1</td>
<td style="text-align: right;">5.4</td>
<td style="text-align: right;">2.1</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="odd">
<td style="text-align: right;">6.7</td>
<td style="text-align: right;">3.1</td>
<td style="text-align: right;">5.6</td>
<td style="text-align: right;">2.4</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="even">
<td style="text-align: right;">6.9</td>
<td style="text-align: right;">3.1</td>
<td style="text-align: right;">5.1</td>
<td style="text-align: right;">2.3</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="odd">
<td style="text-align: right;">5.8</td>
<td style="text-align: right;">2.7</td>
<td style="text-align: right;">5.1</td>
<td style="text-align: right;">1.9</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="even">
<td style="text-align: right;">6.8</td>
<td style="text-align: right;">3.2</td>
<td style="text-align: right;">5.9</td>
<td style="text-align: right;">2.3</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="odd">
<td style="text-align: right;">6.7</td>
<td style="text-align: right;">3.3</td>
<td style="text-align: right;">5.7</td>
<td style="text-align: right;">2.5</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="even">
<td style="text-align: right;">6.7</td>
<td style="text-align: right;">3.0</td>
<td style="text-align: right;">5.2</td>
<td style="text-align: right;">2.3</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="odd">
<td style="text-align: right;">6.3</td>
<td style="text-align: right;">2.5</td>
<td style="text-align: right;">5.0</td>
<td style="text-align: right;">1.9</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="even">
<td style="text-align: right;">6.5</td>
<td style="text-align: right;">3.0</td>
<td style="text-align: right;">5.2</td>
<td style="text-align: right;">2.0</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="odd">
<td style="text-align: right;">6.2</td>
<td style="text-align: right;">3.4</td>
<td style="text-align: right;">5.4</td>
<td style="text-align: right;">2.3</td>
<td style="text-align: left;">virginica</td>
</tr>
<tr class="even">
<td style="text-align: right;">5.9</td>
<td style="text-align: right;">3.0</td>
<td style="text-align: right;">5.1</td>
<td style="text-align: right;">1.8</td>
<td style="text-align: left;">virginica</td>
</tr>
</tbody>
</table>
</div>

</div>
</div>
<section id="description-de-la-variable-sepal.length" class="level2">
<h2 class="anchored" data-anchor-id="description-de-la-variable-sepal.length">Description de la variable <code>Sepal.Length</code></h2>
<p>Les valeurs centrales de la distribution de la variable <code>Sepal.Length</code> :</p>
<div class="cell">
<div class="cell-output cell-output-stdout">
<pre><code>   Min. 1st Qu.  Median    Mean 3rd Qu.    Max. 
  4.300   5.100   5.800   5.843   6.400   7.900 </code></pre>
</div>
</div>
</section>
<section id="histogramme-de-distribution" class="level2">
<h2 class="anchored" data-anchor-id="histogramme-de-distribution">Histogramme de distribution</h2>
<div class="cell">
<div class="cell-output-display">
<p><img src="mon_document_files/figure-html/unnamed-chunk-3-1.png" class="img-fluid" width="672"></p>
</div>
</div>
</section>
<section id="bornes-de-classes" class="level2">
<h2 class="anchored" data-anchor-id="bornes-de-classes">Bornes de classes</h2>
<p>Nous faisons le choix d’une <strong>dicrétisation par amplitude égale</strong>, à l’exclusion des bornes extrêmes.</p>
<div class="cell">
<div class="sourceCode cell-code" id="cb2"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb2-1"><a href="#cb2-1" aria-hidden="true" tabindex="-1"></a>bornes_des_classes <span class="ot">&lt;-</span> <span class="fu">c</span>(<span class="fu">min</span>(iris<span class="sc">$</span>Sepal.Length), <span class="dv">5</span>, <span class="dv">6</span>, <span class="dv">7</span>, </span>
<span id="cb2-2"><a href="#cb2-2" aria-hidden="true" tabindex="-1"></a>                        <span class="fu">max</span>(iris<span class="sc">$</span>Sepal.Length))</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
</div>
</section>
<section id="dénominations-des-classes." class="level2">
<h2 class="anchored" data-anchor-id="dénominations-des-classes.">Dénominations des classes.</h2>
<div class="cell">
<div class="sourceCode cell-code" id="cb3"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb3-1"><a href="#cb3-1" aria-hidden="true" tabindex="-1"></a>nom_des_classes <span class="ot">&lt;-</span> <span class="fu">c</span>(<span class="st">"Trés petites"</span>,<span class="st">"petites"</span>,<span class="st">"grandes"</span>,<span class="st">"Très grandes"</span>)</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
</div>
</section>
<section id="discrétisation-de-la-variable-sepal.length" class="level2">
<h2 class="anchored" data-anchor-id="discrétisation-de-la-variable-sepal.length">Discrétisation de la variable ‘Sepal.length’</h2>
<div class="cell">
<div class="sourceCode cell-code" id="cb4"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb4-1"><a href="#cb4-1" aria-hidden="true" tabindex="-1"></a>iris<span class="sc">$</span>classe  <span class="ot">&lt;-</span> <span class="fu">cut</span>(iris<span class="sc">$</span>Sepal.Length,</span>
<span id="cb4-2"><a href="#cb4-2" aria-hidden="true" tabindex="-1"></a>                    <span class="at">breaks =</span> bornes_des_classes,</span>
<span id="cb4-3"><a href="#cb4-3" aria-hidden="true" tabindex="-1"></a>                    <span class="at">labels =</span> nom_des_classes,</span>
<span id="cb4-4"><a href="#cb4-4" aria-hidden="true" tabindex="-1"></a>                    <span class="at">include.lowest =</span> <span class="cn">TRUE</span>)</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
</div>
</section>
</section>
<section id="représentation-de-la-distribution" class="level1">
<h1>Représentation de la distribution</h1>
<section id="graphique-en-barre" class="level2">
<h2 class="anchored" data-anchor-id="graphique-en-barre">Graphique en barre</h2>
<div class="cell">
<div class="sourceCode cell-code" id="cb5"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb5-1"><a href="#cb5-1" aria-hidden="true" tabindex="-1"></a><span class="fu">ggplot</span>(<span class="at">data =</span> iris, <span class="fu">aes</span>(<span class="at">x =</span> classe)) <span class="sc">+</span></span>
<span id="cb5-2"><a href="#cb5-2" aria-hidden="true" tabindex="-1"></a>  <span class="fu">geom_bar</span>() <span class="sc">+</span></span>
<span id="cb5-3"><a href="#cb5-3" aria-hidden="true" tabindex="-1"></a>  <span class="fu">xlab</span>(<span class="st">""</span>) <span class="sc">+</span> </span>
<span id="cb5-4"><a href="#cb5-4" aria-hidden="true" tabindex="-1"></a>  <span class="fu">ylab</span>(<span class="st">""</span>) <span class="sc">+</span> </span>
<span id="cb5-5"><a href="#cb5-5" aria-hidden="true" tabindex="-1"></a>  <span class="fu">ggtitle</span>(<span class="st">"Répartition par classe"</span>) <span class="sc">+</span> </span>
<span id="cb5-6"><a href="#cb5-6" aria-hidden="true" tabindex="-1"></a>  <span class="fu">theme</span>(<span class="at">plot.title =</span> <span class="fu">element_text</span>(<span class="at">size=</span><span class="dv">27</span>), </span>
<span id="cb5-7"><a href="#cb5-7" aria-hidden="true" tabindex="-1"></a>        <span class="at">axis.text=</span><span class="fu">element_text</span>(<span class="at">size=</span><span class="dv">19</span>))  </span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
<div class="cell-output-display">
<p><img src="mon_document_files/figure-html/unnamed-chunk-8-1.png" class="img-fluid" width="672"></p>
</div>
</div>
</section>
</section>

</main>
<!-- /main column -->
<script id="quarto-html-after-body" type="application/javascript">
window.document.addEventListener("DOMContentLoaded", function (event) {
  const toggleBodyColorMode = (bsSheetEl) => {
    const mode = bsSheetEl.getAttribute("data-mode");
    const bodyEl = window.document.querySelector("body");
    if (mode === "dark") {
      bodyEl.classList.add("quarto-dark");
      bodyEl.classList.remove("quarto-light");
    } else {
      bodyEl.classList.add("quarto-light");
      bodyEl.classList.remove("quarto-dark");
    }
  }
  const toggleBodyColorPrimary = () => {
    const bsSheetEl = window.document.querySelector("link#quarto-bootstrap");
    if (bsSheetEl) {
      toggleBodyColorMode(bsSheetEl);
    }
  }
  toggleBodyColorPrimary();  
  const icon = "";
  const anchorJS = new window.AnchorJS();
  anchorJS.options = {
    placement: 'right',
    icon: icon
  };
  anchorJS.add('.anchored');
  const isCodeAnnotation = (el) => {
    for (const clz of el.classList) {
      if (clz.startsWith('code-annotation-')) {                     
        return true;
      }
    }
    return false;
  }
  const clipboard = new window.ClipboardJS('.code-copy-button', {
    text: function(trigger) {
      const codeEl = trigger.previousElementSibling.cloneNode(true);
      for (const childEl of codeEl.children) {
        if (isCodeAnnotation(childEl)) {
          childEl.remove();
        }
      }
      return codeEl.innerText;
    }
  });
  clipboard.on('success', function(e) {
    // button target
    const button = e.trigger;
    // don't keep focus
    button.blur();
    // flash "checked"
    button.classList.add('code-copy-button-checked');
    var currentTitle = button.getAttribute("title");
    button.setAttribute("title", "Copied!");
    let tooltip;
    if (window.bootstrap) {
      button.setAttribute("data-bs-toggle", "tooltip");
      button.setAttribute("data-bs-placement", "left");
      button.setAttribute("data-bs-title", "Copied!");
      tooltip = new bootstrap.Tooltip(button, 
        { trigger: "manual", 
          customClass: "code-copy-button-tooltip",
          offset: [0, -8]});
      tooltip.show();    
    }
    setTimeout(function() {
      if (tooltip) {
        tooltip.hide();
        button.removeAttribute("data-bs-title");
        button.removeAttribute("data-bs-toggle");
        button.removeAttribute("data-bs-placement");
      }
      button.setAttribute("title", currentTitle);
      button.classList.remove('code-copy-button-checked');
    }, 1000);
    // clear code selection
    e.clearSelection();
  });
  function tippyHover(el, contentFn, onTriggerFn, onUntriggerFn) {
    const config = {
      allowHTML: true,
      maxWidth: 500,
      delay: 100,
      arrow: false,
      appendTo: function(el) {
          return el.parentElement;
      },
      interactive: true,
      interactiveBorder: 10,
      theme: 'quarto',
      placement: 'bottom-start',
    };
    if (contentFn) {
      config.content = contentFn;
    }
    if (onTriggerFn) {
      config.onTrigger = onTriggerFn;
    }
    if (onUntriggerFn) {
      config.onUntrigger = onUntriggerFn;
    }
    window.tippy(el, config); 
  }
  const noterefs = window.document.querySelectorAll('a[role="doc-noteref"]');
  for (var i=0; i<noterefs.length; i++) {
    const ref = noterefs[i];
    tippyHover(ref, function() {
      // use id or data attribute instead here
      let href = ref.getAttribute('data-footnote-href') || ref.getAttribute('href');
      try { href = new URL(href).hash; } catch {}
      const id = href.replace(/^#\/?/, "");
      const note = window.document.getElementById(id);
      return note.innerHTML;
    });
  }
  const xrefs = window.document.querySelectorAll('a.quarto-xref');
  const processXRef = (id, note) => {
    // Strip column container classes
    const stripColumnClz = (el) => {
      el.classList.remove("page-full", "page-columns");
      if (el.children) {
        for (const child of el.children) {
          stripColumnClz(child);
        }
      }
    }
    stripColumnClz(note)
    if (id.startsWith('sec-')) {
      // Special case sections, only their first couple elements
      const container = document.createElement("div");
      if (note.children && note.children.length > 2) {
        for (let i = 0; i < 2; i++) {
          container.appendChild(note.children[i].cloneNode(true));
        }
        return container.innerHTML
      } else {
        return note.innerHTML;
      }
    } else {
      // Remove any anchor links if they are present
      const anchorLink = note.querySelector('a.anchorjs-link');
      if (anchorLink) {
        anchorLink.remove();
      }
      return note.innerHTML;
    }
  }
  for (var i=0; i<xrefs.length; i++) {
    const xref = xrefs[i];
    tippyHover(xref, undefined, function(instance) {
      instance.disable();
      let url = xref.getAttribute('href');
      let hash = undefined; 
      if (url.startsWith('#')) {
        hash = url;
      } else {
        try { hash = new URL(url).hash; } catch {}
      }
      if (hash) {
        const id = hash.replace(/^#\/?/, "");
        const note = window.document.getElementById(id);
        if (note !== null) {
          try {
            const html = processXRef(id, note.cloneNode(true));
            instance.setContent(html);
          } finally {
            instance.enable();
            instance.show();
          }
        } else {
          // See if we can fetch this
          fetch(url.split('#')[0])
          .then(res => res.text())
          .then(html => {
            const parser = new DOMParser();
            const htmlDoc = parser.parseFromString(html, "text/html");
            const note = htmlDoc.getElementById(id);
            if (note !== null) {
              const html = processXRef(id, note);
              instance.setContent(html);
            } 
          }).finally(() => {
            instance.enable();
            instance.show();
          });
        }
      }
    }, function(instance) {
    });
  }
      let selectedAnnoteEl;
      const selectorForAnnotation = ( cell, annotation) => {
        let cellAttr = 'data-code-cell="' + cell + '"';
        let lineAttr = 'data-code-annotation="' +  annotation + '"';
        const selector = 'span[' + cellAttr + '][' + lineAttr + ']';
        return selector;
      }
      const selectCodeLines = (annoteEl) => {
        const doc = window.document;
        const targetCell = annoteEl.getAttribute("data-target-cell");
        const targetAnnotation = annoteEl.getAttribute("data-target-annotation");
        const annoteSpan = window.document.querySelector(selectorForAnnotation(targetCell, targetAnnotation));
        const lines = annoteSpan.getAttribute("data-code-lines").split(",");
        const lineIds = lines.map((line) => {
          return targetCell + "-" + line;
        })
        let top = null;
        let height = null;
        let parent = null;
        if (lineIds.length > 0) {
            //compute the position of the single el (top and bottom and make a div)
            const el = window.document.getElementById(lineIds[0]);
            top = el.offsetTop;
            height = el.offsetHeight;
            parent = el.parentElement.parentElement;
          if (lineIds.length > 1) {
            const lastEl = window.document.getElementById(lineIds[lineIds.length - 1]);
            const bottom = lastEl.offsetTop + lastEl.offsetHeight;
            height = bottom - top;
          }
          if (top !== null && height !== null && parent !== null) {
            // cook up a div (if necessary) and position it 
            let div = window.document.getElementById("code-annotation-line-highlight");
            if (div === null) {
              div = window.document.createElement("div");
              div.setAttribute("id", "code-annotation-line-highlight");
              div.style.position = 'absolute';
              parent.appendChild(div);
            }
            div.style.top = top - 2 + "px";
            div.style.height = height + 4 + "px";
            div.style.left = 0;
            let gutterDiv = window.document.getElementById("code-annotation-line-highlight-gutter");
            if (gutterDiv === null) {
              gutterDiv = window.document.createElement("div");
              gutterDiv.setAttribute("id", "code-annotation-line-highlight-gutter");
              gutterDiv.style.position = 'absolute';
              const codeCell = window.document.getElementById(targetCell);
              const gutter = codeCell.querySelector('.code-annotation-gutter');
              gutter.appendChild(gutterDiv);
            }
            gutterDiv.style.top = top - 2 + "px";
            gutterDiv.style.height = height + 4 + "px";
          }
          selectedAnnoteEl = annoteEl;
        }
      };
      const unselectCodeLines = () => {
        const elementsIds = ["code-annotation-line-highlight", "code-annotation-line-highlight-gutter"];
        elementsIds.forEach((elId) => {
          const div = window.document.getElementById(elId);
          if (div) {
            div.remove();
          }
        });
        selectedAnnoteEl = undefined;
      };
        // Handle positioning of the toggle
    window.addEventListener(
      "resize",
      throttle(() => {
        console.log("RESIZE");
        elRect = undefined;
        if (selectedAnnoteEl) {
          selectCodeLines(selectedAnnoteEl);
        }
      }, 10)
    );
    function throttle(fn, ms) {
    let throttle = false;
    let timer;
      return (...args) => {
        if(!throttle) { // first call gets through
            fn.apply(this, args);
            throttle = true;
        } else { // all the others get throttled
            if(timer) clearTimeout(timer); // cancel #2
            timer = setTimeout(() => {
              fn.apply(this, args);
              timer = throttle = false;
            }, ms);
        }
      };
    }
      // Attach click handler to the DT
      const annoteDls = window.document.querySelectorAll('dt[data-target-cell]');
      for (const annoteDlNode of annoteDls) {
        annoteDlNode.addEventListener('click', (event) => {
          const clickedEl = event.target;
          if (clickedEl !== selectedAnnoteEl) {
            unselectCodeLines();
            const activeEl = window.document.querySelector('dt[data-target-cell].code-annotation-active');
            if (activeEl) {
              activeEl.classList.remove('code-annotation-active');
            }
            selectCodeLines(clickedEl);
            clickedEl.classList.add('code-annotation-active');
          } else {
            // Unselect the line
            unselectCodeLines();
            clickedEl.classList.remove('code-annotation-active');
          }
        });
      }
  const findCites = (el) => {
    const parentEl = el.parentElement;
    if (parentEl) {
      const cites = parentEl.dataset.cites;
      if (cites) {
        return {
          el,
          cites: cites.split(' ')
        };
      } else {
        return findCites(el.parentElement)
      }
    } else {
      return undefined;
    }
  };
  var bibliorefs = window.document.querySelectorAll('a[role="doc-biblioref"]');
  for (var i=0; i<bibliorefs.length; i++) {
    const ref = bibliorefs[i];
    const citeInfo = findCites(ref);
    if (citeInfo) {
      tippyHover(citeInfo.el, function() {
        var popup = window.document.createElement('div');
        citeInfo.cites.forEach(function(cite) {
          var citeDiv = window.document.createElement('div');
          citeDiv.classList.add('hanging-indent');
          citeDiv.classList.add('csl-entry');
          var biblioDiv = window.document.getElementById('ref-' + cite);
          if (biblioDiv) {
            citeDiv.innerHTML = biblioDiv.innerHTML;
          }
          popup.appendChild(citeDiv);
        });
        return popup.innerHTML;
      });
    }
  }
});
</script>
</div> <!-- /content -->




</body></html>